[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# Bounds

Returns a TRect structure with the bounding rect of the given location and size.

## Declaration

Source position: classesh.inc line 2209

`function Bounds(`
`ALeft: Integer;`
`ATop: Integer;`
`AWidth: Integer;`
`AHeight: Integer`
`):TRect;`

## Description

Bounds returns a TRect record with the given origin (ALeft,ATop) and dimensions (AWidth,AHeight) filled in. The bottom-right corner is calculated by adding AWidth to ALeft and AHeight to ATop. As a result, a rectangle with width/height set to 0 is exactly 1 pixel.

## See also

Rect |  | Returns a TRect record with the given coordinates.